Bug 1075302 - (CVE-2014-0097) CVE-2014-0097 Spring Framework: empty passwords may bypass authentication
CVE-2014-0097 Spring Framework: empty passwords may bypass authentication
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20140228,repo...
: Security
Depends On: 1075303
Blocks: 1075304
  Show dependency treegraph
 
Reported: 2014-03-11 23:38 EDT by Murray McAllister
Modified: 2015-01-04 17:39 EST (History)
6 users (show)

See Also:
Fixed In Version: spring security 3.2.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-17 16:57:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2014-03-11 23:38:40 EDT
It was found that empty passwords could bypass authentication. From the original advisory:

"The ActiveDirectoryLdapAuthenticator does not check the password length. If the directory allows anonymous binds then it may incorrectly authenticate a user who supplies an empty password."

This issue affects versions 3.2.0 to 3.2.1, and versions 3.1.0 to 3.1.5.

External References:

http://www.gopivotal.com/security/cve-2014-0097
Comment 1 Murray McAllister 2014-03-11 23:40:52 EDT
Created springframework-security tracking bugs for this issue:

Affects: fedora-all [bug 1075303]
Comment 2 Chess Hazlett 2014-03-17 16:57:56 EDT
Statement:

Not Vulnerable. This issue does not affect Spring as shipped with various Red Hat products.

Note You need to log in before you can comment on or make changes to this bug.